#ifdef GLOBALS_SERPROC_DIAGNO
#define EXTERN_SERPROC_DIAGNO
#else
#define EXTERN_SERPROC_DIAGNO extern
#endif
#include "uds_includes.h"
#ifndef SERPROC_DIAGNO_H_
#define SERPROC_DIAGNO_H_

extern void App_ErrorInfoInit(_N_USData *AppUSData);
extern void App_Load_DID(uint16_t *DID, uint8_t *data);
extern void App_CopyRam(uint8_t *Dp, uint8_t *Sp, uint16_t Nub);
extern uint8_t App_CreateCRCCheckSum(uint8_t *p, uint8_t Nub);
extern void App_11_Reset_handle(void);

void Diagno_Tick(uint16_t DiagnoTimeCn);

#endif /* SERPROC_DIAGNO_H_ */
